diff --git a/src/main/java/net/minecraft/client/gui/Gui.java b/src/main/java/net/minecraft/client/gui/Gui.java
index 8fb5e1005..63ab05fa1 100644
--- a/src/main/java/net/minecraft/client/gui/Gui.java
+++ b/src/main/java/net/minecraft/client/gui/Gui.java
@@ -369,16 +369,6 @@ public class Gui
         tessellator.draw();
     }
 
-    public void drawSlot(int x, int y, int argb){
-
-        float a = Color.alphaFromInt(argb) / 255F;
-        float r = Color.redFromInt(argb) / 255F;
-        float g = Color.greenFromInt(argb) / 255F;
-        float b = Color.blueFromInt(argb) / 255F;
-        GL11.glColor4f(r,g,b,a);
-        drawGuiIcon(x, y, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot"));
-    }
-
     public void drawGuiTexture(TextureManager re, int x, int y, int width, int height, String texture) {
         Texture tex = re.loadTexture(texture);
         tex.bind();
@@ -427,35 +417,39 @@ public class Gui
                     int remainderX = topWidth % innerWidth;
 
                     { // Inner
-                        for (int j = 0; j < repeatsY; j++) {
-                            drawTexturedModalRectDouble(
-                                x + innerLeft + repeatsX * innerWidth, y + innerTop + j * innerHeight,
-                                innerLeft + 1, innerTop,
-                                remainderX, innerHeight,
-                                uScale, vScale, 0.0); // Inner
-                        }
-
-                        for (int i = 0; i < repeatsX; i++) {
-                            drawTexturedModalRectDouble(
-                                x + innerLeft + i * innerWidth, y + innerTop + repeatsY * innerHeight,
-                                innerLeft, innerTop,
-                                innerWidth, remainderY,
-                                uScale, vScale, 0.0); // Inner
-                        }
-                        drawTexturedModalRectDouble(
-                            x + innerLeft + repeatsX * innerWidth, y + innerTop + repeatsY * innerHeight,
-                            innerLeft, innerTop,
-                            remainderX, remainderY,
-                            uScale, vScale, 0.0); // Inner
+                        if (properties.stretchInner) { // Stretch Inner // TODO implement
 
-                        for (int i = 0; i < repeatsX; i++) {
+                        } else { // Tile Inner
                             for (int j = 0; j < repeatsY; j++) {
                                 drawTexturedModalRectDouble(
-                                    x + innerLeft + i * innerWidth, y + innerTop + j * innerHeight,
+                                    x + innerLeft + repeatsX * innerWidth, y + innerTop + j * innerHeight,
+                                    innerLeft + 1, innerTop,
+                                    remainderX, innerHeight,
+                                    uScale, vScale, 0.0); // Inner
+                            }
+
+                            for (int i = 0; i < repeatsX; i++) {
+                                drawTexturedModalRectDouble(
+                                    x + innerLeft + i * innerWidth, y + innerTop + repeatsY * innerHeight,
                                     innerLeft, innerTop,
-                                    innerWidth, innerHeight,
+                                    innerWidth, remainderY,
                                     uScale, vScale, 0.0); // Inner
                             }
+                            drawTexturedModalRectDouble(
+                                x + innerLeft + repeatsX * innerWidth, y + innerTop + repeatsY * innerHeight,
+                                innerLeft, innerTop,
+                                remainderX, remainderY,
+                                uScale, vScale, 0.0); // Inner
+
+                            for (int i = 0; i < repeatsX; i++) {
+                                for (int j = 0; j < repeatsY; j++) {
+                                    drawTexturedModalRectDouble(
+                                        x + innerLeft + i * innerWidth, y + innerTop + j * innerHeight,
+                                        innerLeft, innerTop,
+                                        innerWidth, innerHeight,
+                                        uScale, vScale, 0.0); // Inner
+                                }
+                            }
                         }
                     }
 
@@ -576,13 +570,16 @@ public class Gui
                     int repeatsX = MathHelper.floor(width / properties.width);
                     double remainderX = width % properties.width;
 
+                    double uScale = (double) coordinate.width / properties.width;
+                    double vScale = (double) coordinate.height / properties.height;
+
                     for (int i = 0; i < repeatsX; i++) {
                         for (int j = 0; j < repeatsY; j++) {
                             drawIconTextureDouble(
                                 x + properties.width * i, y + properties.height * j,
                                 x + properties.width * (i + 1), y + properties.height * (j + 1),
                                 0, 0,
-                                properties.width, properties.height,
+                                properties.width * uScale, properties.height * vScale,
                                 coordinate);
                         }
                     }
@@ -592,7 +589,7 @@ public class Gui
                             x + properties.width * repeatsX, y + properties.height * j,
                             x + properties.width * repeatsX + remainderX, y + properties.height * (j + 1),
                             0, 0,
-                            remainderX, properties.height,
+                            remainderX * uScale, properties.height * vScale,
                             coordinate);
                     }
 
@@ -601,7 +598,7 @@ public class Gui
                             x + properties.width * i, y + properties.height * repeatsY,
                             x + properties.width * (i + 1), y + properties.height * repeatsY + remainderY,
                             0, 0,
-                            properties.width, remainderY,
+                            properties.width * uScale, remainderY * vScale,
                             coordinate);
                     }
 
@@ -609,7 +606,7 @@ public class Gui
                         x + properties.width * repeatsX, y + properties.height * repeatsY,
                         x + properties.width * repeatsX + remainderX, y + properties.height * repeatsY + remainderY,
                         0, 0,
-                        remainderX, remainderY,
+                        remainderX * uScale, remainderY * vScale,
                         coordinate);
 
                     break;
@@ -622,6 +619,9 @@ public class Gui
                     int innerRight = properties.width - properties.border.right;
                     int innerBottom = properties.height - properties.border.bottom;
 
+                    double uScale = (double) coordinate.width / properties.width;
+                    double vScale = (double) coordinate.height / properties.height;
+
                     double leftHeight = height - (properties.border.top + properties.border.bottom);
                     int repeatsY = MathHelper.floor(leftHeight / innerHeight);
                     double remainderY = leftHeight % innerHeight;
@@ -632,39 +632,48 @@ public class Gui
 
 
                     { // Inner
-                        for (int j = 0; j < repeatsY; j++) {
+                        if (properties.stretchInner) { // Stretch Inner // TODO implement
                             drawIconTextureDouble(
-                                x + innerLeft + repeatsX * innerWidth, y + innerTop + j * innerHeight,
-                                x + innerLeft + repeatsX * innerWidth + remainderX, y + innerTop + j * innerHeight + innerHeight,
-                                innerLeft, innerTop,
-                                innerLeft + remainderX, innerTop + innerHeight,
+                                x + innerLeft, y + innerTop,
+                                x + innerLeft + width - properties.border.right - properties.border.left, y + innerTop + height - properties.border.bottom - properties.border.top,
+                                innerLeft * uScale, innerTop * vScale,
+                                innerRight * uScale, innerBottom * vScale,
                                 coordinate);
-                        }
-
-                        for (int i = 0; i < repeatsX; i++) {
-                            drawIconTextureDouble(
-                                x + innerLeft + i * innerWidth, y + innerTop + repeatsY * innerHeight,
-                                x + innerLeft + i * innerWidth + innerWidth, y + innerTop + repeatsY * innerHeight + remainderY,
-                                innerLeft, innerTop,
-                                innerLeft + innerWidth, innerTop + remainderY, coordinate);
-                        }
-                        drawIconTextureDouble(
-                            x + innerLeft + repeatsX * innerWidth, y + innerTop + repeatsY * innerHeight,
-                            x + innerLeft + repeatsX * innerWidth + remainderX, y + innerTop + repeatsY * innerHeight + remainderY,
-                            innerLeft, innerTop,
-                            innerLeft + remainderX, innerTop + remainderY, coordinate);
-
-                        for (int i = 0; i < repeatsX; i++) {
+                        } else {
                             for (int j = 0; j < repeatsY; j++) {
-                                final double xMin = (x + innerLeft) + i * innerWidth;
-                                final double yMin = (y + innerTop) + j * innerHeight;
                                 drawIconTextureDouble(
-                                    xMin, yMin,
-                                    xMin + innerWidth, yMin + innerHeight,
-                                    innerLeft, innerTop,
-                                    innerLeft + innerWidth, innerTop + innerHeight,
+                                    x + innerLeft + repeatsX * innerWidth, y + innerTop + j * innerHeight,
+                                    x + innerLeft + repeatsX * innerWidth + remainderX, y + innerTop + j * innerHeight + innerHeight,
+                                    innerLeft * uScale, innerTop * vScale,
+                                    (innerLeft + remainderX) * uScale, (innerTop + innerHeight) * vScale,
                                     coordinate);
                             }
+
+                            for (int i = 0; i < repeatsX; i++) {
+                                drawIconTextureDouble(
+                                    x + innerLeft + i * innerWidth, y + innerTop + repeatsY * innerHeight,
+                                    x + innerLeft + i * innerWidth + innerWidth, y + innerTop + repeatsY * innerHeight + remainderY,
+                                    innerLeft * uScale, innerTop * vScale,
+                                    (innerLeft + innerWidth) * uScale, (innerTop + remainderY) * vScale, coordinate);
+                            }
+                            drawIconTextureDouble(
+                                x + innerLeft + repeatsX * innerWidth, y + innerTop + repeatsY * innerHeight,
+                                x + innerLeft + repeatsX * innerWidth + remainderX, y + innerTop + repeatsY * innerHeight + remainderY,
+                                innerLeft * uScale, innerTop * vScale,
+                                (innerLeft + remainderX) * uScale, (innerTop + remainderY) * vScale, coordinate);
+
+                            for (int i = 0; i < repeatsX; i++) {
+                                for (int j = 0; j < repeatsY; j++) {
+                                    final double xMin = (x + innerLeft) + i * innerWidth;
+                                    final double yMin = (y + innerTop) + j * innerHeight;
+                                    drawIconTextureDouble(
+                                        xMin, yMin,
+                                        xMin + innerWidth, yMin + innerHeight,
+                                        innerLeft * uScale, innerTop * vScale,
+                                        (innerLeft + innerWidth) * uScale, (innerTop + innerHeight) * vScale,
+                                        coordinate);
+                                }
+                            }
                         }
                     }
 
@@ -673,60 +682,60 @@ public class Gui
                             drawIconTextureDouble(
                                 x, y + innerTop + i * innerHeight,
                                 x + innerLeft, y + innerTop + i * innerHeight + innerHeight,
-                                0, innerTop,
-                                innerLeft, innerTop + innerHeight,
+                                0, innerTop * vScale,
+                                innerLeft * uScale, (innerTop + innerHeight) * vScale,
                                 coordinate);
 
                             drawIconTextureDouble(
                                 x + width - properties.border.right, y + innerTop + i * innerHeight,
                                 x + width, y + innerTop + i * innerHeight + innerHeight,
-                                innerRight, innerTop,
-                                innerRight + properties.border.right, innerTop + innerHeight,
+                                innerRight * uScale, innerTop * vScale,
+                                (innerRight + properties.border.right) * uScale, (innerTop + innerHeight) * vScale,
                                 coordinate);
                         }
 
                         drawIconTextureDouble(
                             x, y + innerTop + repeatsY * innerHeight,
                             x + innerLeft, y + innerTop + repeatsY * innerHeight + remainderY,
-                            0, innerTop,
-                            innerLeft, innerTop + remainderY,
+                            0, innerTop * vScale,
+                            innerLeft * uScale, (innerTop + remainderY) * vScale,
                             coordinate);
 
                         drawIconTextureDouble(
                             x + width - properties.border.right, y + innerTop + repeatsY * innerHeight,
                             x + width, y + innerTop + repeatsY * innerHeight + remainderY,
-                            innerRight, innerTop,
-                            innerRight + properties.border.right, innerTop + remainderY,
+                            innerRight * uScale, innerTop * vScale,
+                            (innerRight + properties.border.right) * uScale, (innerTop + remainderY) * vScale,
                             coordinate);
                     }
                     { // Top Bottom
                         for (int i = 0; i < repeatsX; i++) {
                             drawIconTextureDouble(x + innerLeft + i * innerWidth, y,
                                 x + innerLeft + i * innerWidth + innerWidth, y + properties.border.top,
-                                innerLeft, 0,
-                                innerLeft + innerWidth, properties.border.top,
+                                innerLeft * uScale, 0,
+                                (innerLeft + innerWidth) * uScale, properties.border.top * vScale,
                                 coordinate);
 
                             drawIconTextureDouble(
                                 x + innerLeft + i * innerWidth, y + height - properties.border.bottom,
                                 x + innerLeft + i * innerWidth + innerWidth, y + height,
-                                innerLeft, innerBottom,
-                                innerLeft + innerWidth, innerBottom + properties.border.bottom,
+                                innerLeft * uScale, innerBottom * vScale,
+                                (innerLeft + innerWidth) * uScale, (innerBottom + properties.border.bottom) * vScale,
                                 coordinate);
                         }
 
                         drawIconTextureDouble(
                             x + innerLeft + repeatsX * innerWidth, y,
                             x + innerLeft + repeatsX * innerWidth + remainderX, y + properties.border.top,
-                            innerLeft, 0,
-                            innerLeft + remainderX, properties.border.top,
+                            innerLeft * uScale, 0,
+                            (innerLeft + remainderX) * uScale, properties.border.top * vScale,
                             coordinate);
 
                         drawIconTextureDouble(
                             x + innerLeft + repeatsX * innerWidth, y + height - properties.border.bottom,
                             x + innerLeft + repeatsX * innerWidth + remainderX, y + height,
-                            innerLeft, innerBottom,
-                            innerLeft + remainderX, innerBottom + properties.border.bottom,
+                            innerLeft * uScale, innerBottom * vScale,
+                            (innerLeft + remainderX) * uScale, (innerBottom + properties.border.bottom) * vScale,
                             coordinate);
                     }
 
@@ -734,23 +743,23 @@ public class Gui
                         x, y,
                         x + properties.border.left, y + properties.border.top,
                         0, 0,
-                        properties.border.left, properties.border.top, coordinate);
+                        properties.border.left * uScale, properties.border.top * vScale, coordinate);
                     drawIconTextureDouble(
                         x, y + height - properties.border.bottom,
                         x + properties.border.left, y + height,
-                        0, innerBottom,
-                        properties.border.left, innerBottom + properties.border.bottom, coordinate);
+                        0, innerBottom * vScale,
+                        properties.border.left * uScale, (innerBottom + properties.border.bottom) * vScale, coordinate);
 
                     drawIconTextureDouble(
                         x + width - properties.border.right, y,
                         x + width, y + properties.border.top,
-                        innerRight, 0,
-                        innerRight + properties.border.right, properties.border.top, coordinate);
+                        innerRight * uScale, 0,
+                        (innerRight + properties.border.right) * uScale, properties.border.top * uScale, coordinate);
                     drawIconTextureDouble(
                         x + width - properties.border.right, y + height - properties.border.bottom,
                         x + width, y + height,
-                        innerRight, innerBottom,
-                        innerRight + properties.border.right, innerBottom + properties.border.bottom, coordinate);
+                        innerRight * uScale, innerBottom * vScale,
+                        (innerRight + properties.border.right) * uScale, (innerBottom + properties.border.bottom) * vScale, coordinate);
 
 
                     break;
diff --git a/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java b/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
index 02cf45af5..9348a1cfe 100644
--- a/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
+++ b/src/main/java/net/minecraft/client/gui/IntegerSliderElement.java
@@ -2,6 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
@@ -13,6 +14,8 @@ public class IntegerSliderElement extends ButtonElement {
 	public boolean dragging;
 	private ToggleableOption<?> option;
 
+	public IconCoordinate backgroundTexture;
+
 	public IntegerSliderElement(int id, int xPosition, int yPosition, ToggleableOption<?> option) {
 		this(id, xPosition, yPosition, 150, 20, option);
 	}
@@ -26,6 +29,14 @@ public class IntegerSliderElement extends ButtonElement {
 		displayString = option.getDisplayStringValue();
 	}
 
+	@Override
+	protected void setDefaultTextures() {
+		backgroundTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_background");
+		defaultTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider");
+		hoveredTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_highlighted");
+		disabledTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_disabled");
+	}
+
 	private int getSliderWidth()
 	{
 		return 8;
@@ -76,19 +87,11 @@ public class IntegerSliderElement extends ButtonElement {
 		}
 
 		// Draw background
-//		drawTexturedModalRect(xPosition, yPosition, 0, 46, width / 2, height);
-//		drawTexturedModalRect(xPosition + width / 2, yPosition, 200 - width / 2, 46, width / 2, height);
+		drawGuiIcon(xPosition, yPosition, width, height, backgroundTexture);
 
 		// Draw foreground
 		int sliderWidth = getSliderWidth();
 		int maxValue = option.size() - 1;
-//		drawTexturedModalRect(xPosition + (int) ((sliderValue / (float) maxValue) * (float) (width - sliderWidth)), yPosition, 0, 46 + state * 20, sliderWidth / 2, 20);
-//		drawTexturedModalRect(xPosition + (int) ((sliderValue / (float) maxValue) * (float) (width - sliderWidth)) + sliderWidth / 2, yPosition, 200 - sliderWidth / 2, 46 + state * 20, sliderWidth / 2, 20);
-
-		// Draw background
-		drawGuiIcon(xPosition, yPosition, width, height, disabledTexture);
-
-		// Draw foreground
 		drawGuiIcon(xPosition + (int) ((sliderValue / (float) maxValue) * (float) (width - sliderWidth)), yPosition, sliderWidth, height, tex);
 
 		mouseDragged(mc, mouseX, mouseY);
diff --git a/src/main/java/net/minecraft/client/gui/SliderElement.java b/src/main/java/net/minecraft/client/gui/SliderElement.java
index 9758b52a2..210f80005 100644
--- a/src/main/java/net/minecraft/client/gui/SliderElement.java
+++ b/src/main/java/net/minecraft/client/gui/SliderElement.java
@@ -2,6 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.Minecraft;
@@ -11,7 +12,8 @@ public class SliderElement extends ButtonElement {
 
 	public float sliderValue;
 	public boolean dragging;
-	private FloatOption option;
+	private final FloatOption option;
+	public IconCoordinate backgroundTexture;
 
 	public SliderElement(int id, int xPosition, int yPosition, FloatOption floatOption) {
 		this(id, xPosition, yPosition, 150, 20, floatOption);
@@ -31,6 +33,14 @@ public class SliderElement extends ButtonElement {
 		sliderValue = defaultValue;
 	}
 
+	@Override
+	protected void setDefaultTextures() {
+		backgroundTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_background");
+		defaultTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider");
+		hoveredTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_highlighted");
+		disabledTexture = TextureRegistry.getTexture("minecraft:gui/widgets/slider/slider_disabled");
+	}
+
 	@Override
 	public void mouseDragged(Minecraft mc, int mouseX, int mouseY) {
 		if(!visible) {
@@ -75,7 +85,7 @@ public class SliderElement extends ButtonElement {
 		}
 
 		// Draw background
-		drawGuiIcon(xPosition, yPosition, width, height, disabledTexture);
+		drawGuiIcon(xPosition, yPosition, width, height, backgroundTexture);
 
 		// Draw foreground
 		drawGuiIcon(xPosition + (int) (sliderValue * (float) (width - 8)), yPosition, 8, height, tex);
diff --git a/src/main/java/net/minecraft/client/gui/StatsScreen.java b/src/main/java/net/minecraft/client/gui/StatsScreen.java
index 61c6b52fa..4c8d5c3d7 100644
--- a/src/main/java/net/minecraft/client/gui/StatsScreen.java
+++ b/src/main/java/net/minecraft/client/gui/StatsScreen.java
@@ -116,7 +116,7 @@ public class StatsScreen extends Screen {
     private void renderBackgroundIcon(int x, int y)
     {
         GL11.glColor4f(1f, 1f, 1f, 1f);
-        drawGuiIcon(x, y, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot"));
+        drawGuiIcon(x, y, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
     }
 
     abstract class StatsSelectionList extends ScrolledSelectionList
@@ -162,19 +162,19 @@ public class StatsScreen extends Screen {
                 clickedColumn = -1;
             }
             if(clickedColumn == 0) {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot_raised"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
             if(clickedColumn == 1) {
-                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot"));
+                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
-                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot_raised"));
+                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
             if(clickedColumn == 2) {
-                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot"));
+                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
-                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/slot_raised"));
+                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
             if(sortingColumn != -1)
             {
@@ -191,7 +191,7 @@ public class StatsScreen extends Screen {
                 {
                     up = true;
                 }
-                drawGuiIcon(x + c, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/arrow_" + (up ? "up" : "down")));
+                drawGuiIcon(x + c, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/arrow_" + (up ? "up" : "down")));
             }
         }
 
@@ -424,24 +424,24 @@ public class StatsScreen extends Screen {
             super.renderHeader(x, y, tessellator);
             if(clickedColumn == 0)
             {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/depleted"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/depleted"));
             } else
             {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/depleted"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/depleted"));
             }
             if(clickedColumn == 1)
             {
-                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/crafted"));
+                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
             } else
             {
-                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/crafted"));
+                drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
             }
             if(clickedColumn == 2)
             {
-                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/used"));
+                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
             } else
             {
-                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/used"));
+                drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
             }
         }
 
@@ -541,24 +541,24 @@ public class StatsScreen extends Screen {
             super.renderHeader(x, y, tessellator);
             if(clickedColumn == 0)
             {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/crafted"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
             } else
             {
-                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/crafted"));
+                drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
             }
             if(clickedColumn == 1)
             {
-                drawGuiIcon(((x + COLUMN1_RIGHT) - STATS_ICON_SIZE) + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/used"));
+                drawGuiIcon(((x + COLUMN1_RIGHT) - STATS_ICON_SIZE) + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
             } else
             {
-                drawGuiIcon(((x + COLUMN1_RIGHT) - STATS_ICON_SIZE), y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/used"));
+                drawGuiIcon(((x + COLUMN1_RIGHT) - STATS_ICON_SIZE), y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
             }
             if(clickedColumn == 2)
             {
-                drawGuiIcon(((x + COLUMN2_RIGHT) - STATS_ICON_SIZE) + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/mined"));
+                drawGuiIcon(((x + COLUMN2_RIGHT) - STATS_ICON_SIZE) + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/mined"));
             } else
             {
-                drawGuiIcon(((x + COLUMN2_RIGHT) - STATS_ICON_SIZE), y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/mined"));
+                drawGuiIcon(((x + COLUMN2_RIGHT) - STATS_ICON_SIZE), y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/mined"));
             }
         }
 
